<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.lib.find.WaresOnboard</name>
<version>1</version>
<engineversion>24</engineversion>
<description>List all cargo onboard target ship</description>
<arguments>
<argument index="1" name="ship" type="Var/Ship" desc="Target Ship" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var>Free&#160;for&#160;use&#160;in&#160;third&#160;party&#160;scripts,&#160;but</var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>&#160;please&#160;mention&#160;&#160;Xai&#160;Corporation&#160;in&#160;your&#160;documentation</var></comment></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="006" indent=""><comment><text>*&#160;</text><var>Returns&#160;an&#160;array&#160;of&#160;all&#160;the&#160;types&#160;of&#160;cargo&#160;onboard</var></comment></line>
<line linenr="007" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="008" indent=""></line>
<line linenr="009" indent=""><text>infinite&#160;loop&#160;detection&#160;enabled=</text><var>[TRUE]</var></line>
<line linenr="010" indent=""><var>$Wares&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="011" indent=""></line>
<line linenr="012" indent=""><comment><text>*&#160;</text><var>Loop&#160;through&#160;&#160;different&#160;wares&#160;to&#160;find&#160;&#160;whats&#160;on&#160;board</var></comment></line>
<line linenr="013" indent=""><var>$maintype&#160;=&#160;</var><var>8</var></line>
<line linenr="014" indent=""><var>while&#160;</var><var>$maintype</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>17</var></line>
<line linenr="015" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;</text><var>10</var><text>&#160;ms</text></line>
<line linenr="016" indent=""><comment><text>*&#160;</text><var>Ignore&#160;&#160;maintype&#160;12,&#160;&#160;we&#160;dont&#160;want&#160;&#160;mission&#160;articles</var></comment></line>
<line linenr="017" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$maintype</var><text>&#160;</text><var>==</var><text>&#160;</text><var>12</var></line>
<line linenr="018" indent="&#160;&#160;"><text>inc&#160;</text><var>$maintype&#160;=&#160;</var></line>
<line linenr="019" indent="&#160;"></line>
<line linenr="020" indent="&#160;"><var>$subtypes&#160;=&#160;</var><text>&#160;get&#160;number&#160;of&#160;subtypes&#160;of&#160;maintype&#160;</text><var>$maintype</var></line>
<line linenr="021" indent="&#160;"><var>while&#160;</var><var>$subtypes</var></line>
<line linenr="022" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>10</var><text>&#160;ms</text></line>
<line linenr="023" indent="&#160;&#160;"><text>dec&#160;</text><var>$subtypes&#160;=&#160;</var></line>
<line linenr="024" indent="&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$maintype</var><text>&#160;</text><var>==</var><text>&#160;</text><var>16</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$subtypes</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>10</var></line>
<line linenr="025" indent="&#160;&#160;&#160;"><var>$subtypes&#160;=&#160;</var><var>10</var></line>
<line linenr="026" indent="&#160;&#160;"><var>$pos.ware&#160;=&#160;</var><text>&#160;get&#160;ware&#160;from&#160;maintype&#160;</text><var>$maintype</var><text>&#160;and&#160;subtype&#160;</text><var>$subtypes</var></line>
<line linenr="027" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;can&#160;transport&#160;ware&#160;</text><var>$pos.ware</var></line>
<line linenr="028" indent="&#160;&#160;&#160;"><text>continue</text></line>
<line linenr="029" indent="&#160;&#160;"></line>
<line linenr="030" indent=""><comment><text>*&#160;</text><var>Find&#160;any&#160;ware&#160;on&#160;board</var></comment></line>
<line linenr="031" indent=""><comment>*$amount.pos.ware&#160;=&#160;$ship&#160;-&gt;<text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text>$pos.ware<text>&#160;in&#160;cargo&#160;bay</text></comment></line>
<line linenr="032" indent="&#160;&#160;"><var>$amount.pos.ware&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>$pos.ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="033" indent="&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$amount.pos.ware</var></line>
<line linenr="034" indent="&#160;&#160;&#160;"><text>append&#160;</text><var>$pos.ware</var><text>&#160;to&#160;array&#160;</text><var>$Wares</var></line>
<line linenr="035" indent="&#160;&#160;"></line>
<line linenr="036" indent="&#160;"><text>end</text></line>
<line linenr="037" indent="&#160;"></line>
<line linenr="038" indent="&#160;"><text>inc&#160;</text><var>$maintype&#160;=&#160;</var></line>
<line linenr="039" indent=""><text>end</text></line>
<line linenr="040" indent=""></line>
<line linenr="041" indent=""><text>return&#160;</text><var>$Wares</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.lib.find.WaresOnboard" /><sval type="int" val="24" /><sval type="string" val="List all cargo onboard target ship" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="6"><sval type="string" val="ship" /><sval type="string" val="Wares" /><sval type="string" val="maintype" /><sval type="string" val="subtypes" /><sval type="string" val="pos.ware" /><sval type="string" val="amount.pos.ware" /></sval><sval type="array" size="23"><sval type="array" size="3"><sval type="int" val="153" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607095" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="17" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610936" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="658" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610607607" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610609400" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="16" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="2" /><sval type="int" val="-5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="657" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="617" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-536866809" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="8" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610607864" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="3" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="21" /><sval type="string" val="Target Ship" /></sval></sval><sval type="array" size="21"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Free for use in third party scripts, but" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val=" please mention  Xai Corporation in your documentation" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Returns an array of all the types of cargo onboard" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="2" /><sval type="int" val="1" /><sval type="string" val="Loop through  different wares to find  whats on board" /></sval><sval type="array" size="3"><sval type="int" val="5" /><sval type="int" val="1" /><sval type="string" val="Ignore  maintype 12,  we dont want  mission articles" /></sval><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="16" /><sval type="int" val="1" /><sval type="string" val="Find any ware on board" /></sval><sval type="array" size="8"><sval type="int" val="16" /><sval type="int" val="3" /><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="string" val="ship" /><sval type="string" val="amount.pos.ware" /><sval type="int" val="131074" /><sval type="string" val="pos.ware" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
